title: Closure Library
email: sdh@google.com
description: Documentation for Google Closure Library.
baseurl: "" # the subpath of your site, e.g. /blog
url: "http://google.github.com/closure-library"
github_username:  google

# Defaults to plug into all Jekyll frontmatters
defaults:
  - scope:
      path: ""
    values:
      root_url: "/closure-library"
      github_url: "https://github.com/google/closure-library"
      product_name: "Closure Library"
      ga: "UA-64923423-1"

# Split up the documentation into various sections.
sections:

  # The developer guide is the main part of the doc site.
  - name: 1-guide
    path: "" # TODO - remove path and x-source? explicitly declare guide articles?
    title: Guides
    defaults:
      layout: article

  # All the generated API reference goes here.  This will include
  # it in the top-level nav, but the layout doesn't actually display
  # any lower-level menus.
  - name: 2-api
    path: api/
    title: API Reference
    defaults:
      # The "api" layout brings in some custom JS.
      layout: api
      edit_path: ""

  # Source demos should be included in the top-level nav, but the
  # layout doesn't actually display the section menu at all.
  - name: 3-demos
    path: source/closure/goog/demos/
    title: Demos
    defaults:
      layout: empty
      edit_path: ""

  # Don't index anything under source/
  - name: x-source
    path: source/
    title: ""
    defaults:
      layout: empty
      edit_path: ""
